Literal (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.directive.Literal class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.directive
Class Literal

    java.lang.Object
      org.apache.velocity.runtime.directive.Directive
          org.apache.velocity.runtime.directive.Literal

All Implemented Interfaces:
  Cloneable, DirectiveConstants

Deprecated. Use the #[[unparsed content]]# syntax instead.

public class Literal
extends Directive

A very simple directive that leverages the Node.literal() to grab the literal rendition of a node. We basically grab the literal value on init(), then repeatedly use that during render(). This is deprecated and will be removed in Velocity 2.0; please use #[[unparsed content]]# instead.

Version:
  $Id: Literal.java 746438 2009-02-21 05:41:24Z nbubna $
Author:
  Jason van Zyl

Field Summary

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`Literal()` Deprecated.

Method Summary
`String` | `getName()` Deprecated. Return name of this directive.
`int` | `getType()` Deprecated. Return type of this directive.
`void` | `init(RuntimeServices rs, InternalContextAdapter context, Node node)` Deprecated. Store the literal rendition of a node using the Node.literal().
`boolean` | `isScopeProvided()` Deprecated. Since there is no processing of content, there is never a need for an internal scope.
`boolean` | `render(InternalContextAdapter context, Writer writer, Node node)` Deprecated. Throw the literal rendition of the block between #literal()/#end into the writer.

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, getScopeName, getTemplateName, makeScope, postRender, preRender, setLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Literal

    public Literal()

  Deprecated.

Method Detail

### getName

    public String getName()

  Deprecated.
  Return name of this directive.

  Specified by:
    `getName` in class `Directive`
  Returns:
    The name of this directive.

### getType

    public int getType()

  Deprecated.
  Return type of this directive.

  Specified by:
    `getType` in class `Directive`
  Returns:
    The type of this directive.

### isScopeProvided

    public boolean isScopeProvided()

  Deprecated.
  Since there is no processing of content, there is never a need for an internal scope.

  Overrides:
    `isScopeProvided` in class `Directive`
  Returns:
    true if there will be a scope control injected into the context when rendering this directive.

### init

    public void init(RuntimeServices rs,
                     InternalContextAdapter context,
                     Node node)
              throws TemplateInitException

  Deprecated.
  Store the literal rendition of a node using the Node.literal().

  Overrides:
    `init` in class `Directive`
  Parameters:
    `rs` -
    `context` -
    `node` -
  Throws:
    `TemplateInitException`

### render

    public boolean render(InternalContextAdapter context,
                          Writer writer,
                          Node node)
                   throws IOException

  Deprecated.
  Throw the literal rendition of the block between #literal()/#end into the writer.

  Specified by:
    `render` in class `Directive`
  Parameters:
    `context` -
    `writer` -
    `node` -
  Returns:
    True if the directive rendered successfully.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.